Bug 461565 - Review Request: perl-Config-Grammar - Grammar-based, user-friendly config parser
Review Request: perl-Config-Grammar - Grammar-based, user-friendly config parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
: 758448 (view as bug list)
Depends On:
Blocks: 441378
  Show dependency treegraph
 
Reported: 2008-09-09 04:17 EDT by Terje Røsten
Modified: 2011-12-02 08:02 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 14:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2008-09-09 04:17:41 EDT
spec: http://terjeros.fedorapeople.org/perl-Config-Grammar/perl-Config-Grammar.spec
srpm: http://koji.fedoraproject.org/koji/getfile?taskID=815136&name=perl-Config-Grammar-1.10-1.fc10.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=815136
Description:

Config::Grammar is a module to parse configuration files. The
configuration may consist of multiple-level sections with assignments
and tabular data.  The parsed data will be returned as a hash
containing the whole configuration. Config::Grammar uses a grammar
that is supplied upon creation of a Config::Grammar object to parse
the configuration file and return helpful error messages in case of
syntax errors. Using the makepod method you can generate documentation
of the configuration file format.
Comment 1 manuel wolfshant 2008-09-09 06:24:40 EDT
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
     SHA1SUM of package: ad4db9c19dec9c5b6ac4557f68da027e13a33eca Config-Grammar-1.10.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.


================
*** APPROVED ***
================
Comment 2 manuel wolfshant 2008-09-09 06:34:09 EDT
Note: I've tried to add perl-sig in the CC: list of the bug (per https://fedoraproject.org/wiki/Packaging/Perl#Set_inital-cc_to_.27perl-sig.27 ) but bugzilla claims that this user does not exist.

As far as I can see, all items referenced in https://fedoraproject.org/wiki/Packaging/Perl are properly handled. If someone sees anything wrong, please do add your thoughts, my Perl-fu is rather weak.
Comment 3 Terje Røsten 2008-09-09 11:56:31 EDT
Thanks wolfy!

No further comments so I move forward.

New Package CVS Request
=======================
Package Name: perl-Config-Grammar
Short Description: Grammar-based, user-friendly config parser
Owners: terjeros
Branches: F-8 F-9
InitialCC:
Comment 4 Kevin Fenzi 2008-09-09 22:48:02 EDT
cvs done.
Comment 5 Terje Røsten 2008-09-11 14:07:20 EDT
Pending in bohdi for F-8 and F-9.
Comment 6 Jeff Sheltren 2011-12-01 16:33:37 EST
Package Change Request
======================
Package Name: perl-Config-Grammar
New Branches: el5 el6
Owners: micklweiss sheltren
Comment 7 Mick Weiss 2011-12-01 16:53:41 EST
*** Bug 758448 has been marked as a duplicate of this bug. ***
Comment 8 Gwyn Ciesla 2011-12-02 08:02:54 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.